/**************************************************************************
 *	Copyright (C) 2004-2006  iCapsid.net
 *
 * 	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, 
 *	Boston, MA  02111-1307, USA.
 *
 ****************************************************************************/

#include "fe_include.hpp"
#include "fe3d_ui.h"
#include "fe_core.hpp"


class FeNmapCtl : public NmapDialog
{
public: // Event handlers
	virtual void OnScan(wxCommandEvent& event);
	virtual void OnScanTypeSelect(wxCommandEvent& event );
//	void OnCancel(wxCommandEvent& event);
	virtual void OnHostText(wxCommandEvent& event);
	virtual void OnHostTextEnter(wxCommandEvent& event);

//	void Show();

public: // Construction / Destruction
	FeNmapCtl(wxWindow *parent, FeCore *core);

//	~FeNmapCtl()
//	{
//		delete m_NmapDialog;
//	}

private: // Data
	wxWindow	*m_Parent;
	wxConfig	*m_WxConfig;
	FeCore		*m_Core;

//	NmapDialog	*m_NmapDialog;

//DECLARE_EVENT_TABLE()
};
