%module fe3d
%include <windows.i>
#define FE3D_DECL __declspec(dllexport)
#define GLenum unsigned int

%{

#include "fe_main.hpp"

#include "fe_node.hpp"
#include "fe_host.hpp"
#include "fe_port.hpp"
#include "fe_scan_node.hpp"

#include "fe_events.hpp"

#include "geo_cache.hpp"

%}

%include "fe_main.hpp"

%include "fe_node.hpp"
%include "fe_host.hpp"
%include "fe_port.hpp"
%include "fe_scan_node.hpp"

%include "fe_events.hpp"

%include "geo_cache.hpp"

/*
swig -c++ -shadow -I"C:\Documents and Settings\Administrator\My Documents\My Projects\fe3d-dll\src\include" -python "c:\Documents and Settings\Administrator\My Documents\My Projects\fe3d-dll\src\swig\fe3d.i"
*/